XST - 错误:Xst:2883 - 选项“-verilog2001”不适用于所选器件系列。

描述

我在Synthesis中收到类似以下内容的错误消息。

错误:Xst:2883 - 选项“-verilog2001”不适用于所选器件系列。
错误:Xst:2883 - 选项“-mux_extract”不适用于所选器件系列。

问题是什么?

以下是问题的可能原因。

  1. 如果在Project Navigator中启动了Synthesis,则会自动生成包含导致错误的选项的.xst文件。
    在这种情况下,问题可能是由于安装不当引起的。
    重新安装可以解决它。
  2. 如果在命令行中使用包含导致错误的选项的用户创建的.xst文件运行Synthesis,则当这些选项对于给定器件或正在使用的ISE版本不再有效或受支持时,可能会发生此问题。
    例如,在V6 / S6和更新器件的新解析器中不推荐使用选项“-verilog2001”。
    这是因为无法在新解析器中关闭Verilog 2001支持。
    解决方案是从.xst文件中删除这些选项。
编辑 重设标签(回车键确认) 标为违禁 关闭 合并 删除

提问于 2018-07-31 15:02:05 +0800

这个帖子被标记为一个社区wiki

这个帖子是一个wiki(维基). 任何一个积分 >500的人都可以完善它